Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.portlet.modules.map.actions.portlets
Class MapActionPortletAction

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Action
              org.apache.turbine.modules.ActionEvent
                  org.apache.jetspeed.modules.actions.portlets.PortletActionEvent
                      org.apache.jetspeed.modules.actions.portlets.PortletAction
                          org.apache.jetspeed.modules.actions.portlets.GenericMVCAction
                              org.apache.jetspeed.modules.actions.portlets.JspPortletAction
                                  org.deegree.portal.portlet.modules.map.actions.portlets.MapActionPortletAction

    public class MapActionPortletAction

extends org.apache.jetspeed.modules.actions.portlets.JspPortletAction

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.apache.jetspeed.modules.actions.portlets.GenericMVCAction
`logger`

Fields inherited from class org.apache.turbine.modules.ActionEvent
`BUTTON, BUTTON_LENGTH, LENGTH, METHOD_NAME_LENGTH, METHOD_NAME_PREFIX`

Constructor Summary
`MapActionPortletAction()`

Method Summary
`protected void` | `buildNormalContext(org.apache.jetspeed.portal.Portlet portlet, org.apache.turbine.util.RunData data)`
`void` | `doAddows(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)`
`void` | `doChangescale(org.apache.turbine.util.RunData data, org.apache.jetspeed.portal.Portlet portlet)` Changes the scale.
`void` | `doCrschoose(org.apache.turbine.util.RunData data, org.apache.jetspeed.portal.Portlet portlet)` Changes the CRS of the underlying ViewContext.
`void` | `doFeatureinfo(org.apache.turbine.util.RunData data, org.apache.jetspeed.portal.Portlet portlet)`
`void` | `doFeatureinfoForward(org.apache.turbine.util.RunData data, org.apache.jetspeed.portal.Portlet portlet)`
`void` | `doHistorybackward(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` move the map view (just bounding box) to the previous entry in the history
`void` | `doHistoryforward(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` move the map view (just bounding box) to the next entry in the history
`void` | `doLoadwmc(org.apache.turbine.util.RunData data, org.apache.jetspeed.portal.Portlet portlet)` selects the current context of a MapWindowPortlet
`void` | `doMovedown(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` moves the layer passed through by the HTTP request down for one position
`void` | `doMoveup(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` moves the layer passed through by the HTTP request up for one position
`void` | `doPan(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` performs a panning on the current map model (ViewContext)
`void` | `doRecenter(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` performs a recentering on the current map model (ViewContext)
`void` | `doRemoveows(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)`
`void` | `doRepaint(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` Performs a repaint of the current ViewContext by regenerating the assigend OWS requests.
`void` | `doSelectwmc(org.apache.turbine.util.RunData data, org.apache.jetspeed.portal.Portlet portlet)` selects the current context of a MapWindowPortlet
`void` | `doSetboundingbox(org.apache.turbine.util.RunData data, org.apache.jetspeed.portal.Portlet portlet)` sets a new bounding box for the current ViewContext.
`void` | `doSethomeboundingbox(org.apache.turbine.util.RunData data, org.apache.jetspeed.portal.Portlet portlet)` sets the maps boundingbox to the defined home boundingbox
`void` | `doSetlayers(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` sets layers of the view context as visible or invisble depending on the incoming request
`void` | `doSetmapsize(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` sets a new size of the map (pixel)
`void` | `doZoom(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` performs a zoomIn or a zoomOut on the current map model (ViewContext)

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.JspPortletAction
`buildConfigureContext, buildConfigureContext, buildMaximizedContext, buildMaximizedContext, buildNormalContext, setTemplate`

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.GenericMVCAction
`checkAdministrativeAction, doPerform, getAttribute, getAttribute, getPortletInstance, perform, setAttribute`

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.PortletAction
`doPerform, getContext, getPortlet, getTemplate, resetTemplate, setTemplate, setTemplate`

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.PortletActionEvent
`executeEvents, fireEvent`

Methods inherited from class org.apache.turbine.modules.ActionEvent
`executeEvents, formatString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapActionPortletAction

    public MapActionPortletAction()

Method Detail

### buildNormalContext

    protected void buildNormalContext(org.apache.jetspeed.portal.Portlet portlet,
                                      org.apache.turbine.util.RunData data)
                               throws Exception

  Specified by:
    `buildNormalContext` in class `org.apache.jetspeed.modules.actions.portlets.JspPortletAction`
  Throws:
    `Exception`

### doCrschoose

    public void doCrschoose(org.apache.turbine.util.RunData data,
                            org.apache.jetspeed.portal.Portlet portlet)
                     throws PortalException

  Changes the CRS of the underlying ViewContext. The actual action is implemented by the `CRSChooserPortletPerform`.

  Parameters:
    `data` -
    `portlet` -
  Throws:
    `PortalException`

### doFeatureinfo

    public void doFeatureinfo(org.apache.turbine.util.RunData data,
                              org.apache.jetspeed.portal.Portlet portlet)
                       throws Exception

  Parameters:
    `data` -
    `portlet` -
  Throws:
    `Exception`

### doFeatureinfoForward

    public void doFeatureinfoForward(org.apache.turbine.util.RunData data,
                                     org.apache.jetspeed.portal.Portlet portlet)
                              throws Exception

  Parameters:
    `data` -
    `portlet` -
  Throws:
    `Exception`

### doSetboundingbox

    public void doSetboundingbox(org.apache.turbine.util.RunData data,
                                 org.apache.jetspeed.portal.Portlet portlet)

  sets a new bounding box for the current ViewContext.

  Parameters:
    `data` -
    `portlet` -

### doSethomeboundingbox

    public void doSethomeboundingbox(org.apache.turbine.util.RunData data,
                                     org.apache.jetspeed.portal.Portlet portlet)

  sets the maps boundingbox to the defined home boundingbox

  Parameters:
    `data` -
    `portlet` -

### doSetmapsize

    public void doSetmapsize(org.apache.turbine.util.RunData rundata,
                             org.apache.jetspeed.portal.Portlet portlet)
                      throws Exception

  sets a new size of the map (pixel)

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doRepaint

    public void doRepaint(org.apache.turbine.util.RunData rundata,
                          org.apache.jetspeed.portal.Portlet portlet)
                   throws Exception

  Performs a repaint of the current ViewContext by regenerating the assigend OWS requests. In opposite to `doActualizeViewContext(RunData, Portlet)` no parameters from the client are solved to actualize the current ViewContext.

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doZoom

    public void doZoom(org.apache.turbine.util.RunData rundata,
                       org.apache.jetspeed.portal.Portlet portlet)
                throws Exception

  performs a zoomIn or a zoomOut on the current map model (ViewContext)

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doPan

    public void doPan(org.apache.turbine.util.RunData rundata,
                      org.apache.jetspeed.portal.Portlet portlet)
               throws Exception

  performs a panning on the current map model (ViewContext)

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doRecenter

    public void doRecenter(org.apache.turbine.util.RunData rundata,
                           org.apache.jetspeed.portal.Portlet portlet)
                    throws Exception

  performs a recentering on the current map model (ViewContext)

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doSetlayers

    public void doSetlayers(org.apache.turbine.util.RunData rundata,
                            org.apache.jetspeed.portal.Portlet portlet)
                     throws Exception

  sets layers of the view context as visible or invisble depending on the incoming request

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doMoveup

    public void doMoveup(org.apache.turbine.util.RunData rundata,
                         org.apache.jetspeed.portal.Portlet portlet)
                  throws Exception

  moves the layer passed through by the HTTP request up for one position

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doMovedown

    public void doMovedown(org.apache.turbine.util.RunData rundata,
                           org.apache.jetspeed.portal.Portlet portlet)
                    throws Exception

  moves the layer passed through by the HTTP request down for one position

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doHistoryforward

    public void doHistoryforward(org.apache.turbine.util.RunData rundata,
                                 org.apache.jetspeed.portal.Portlet portlet)
                          throws Exception

  move the map view (just bounding box) to the next entry in the history

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doHistorybackward

    public void doHistorybackward(org.apache.turbine.util.RunData rundata,
                                  org.apache.jetspeed.portal.Portlet portlet)
                           throws Exception

  move the map view (just bounding box) to the previous entry in the history

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doAddows

    public void doAddows(org.apache.turbine.util.RunData rundata,
                         org.apache.jetspeed.portal.Portlet portlet)
                  throws Exception

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doRemoveows

    public void doRemoveows(org.apache.turbine.util.RunData rundata,
                            org.apache.jetspeed.portal.Portlet portlet)
                     throws Exception

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doSelectwmc

    public void doSelectwmc(org.apache.turbine.util.RunData data,
                            org.apache.jetspeed.portal.Portlet portlet)
                     throws PortalException

  selects the current context of a MapWindowPortlet

  Parameters:
    `data` -
    `portlet` -
  Throws:
    `PortalException`

### doLoadwmc

    public void doLoadwmc(org.apache.turbine.util.RunData data,
                          org.apache.jetspeed.portal.Portlet portlet)
                   throws PortalException

  selects the current context of a MapWindowPortlet

  Parameters:
    `data` -
    `portlet` -
  Throws:
    `PortalException`

### doChangescale

    public void doChangescale(org.apache.turbine.util.RunData data,
                              org.apache.jetspeed.portal.Portlet portlet)
                       throws PortalException

  Changes the scale.

  Parameters:
    `data` -
    `portlet` -
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org